Installer Apache Directory Studio/ Eclipse / Java [Résolu/Fermé]

Signaler
Messages postés
121
Date d'inscription
dimanche 1 avril 2012
Statut
Membre
Dernière intervention
30 mai 2013
-
Messages postés
29583
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
21 février 2021
-
Bonjour,

J'ai télécharger Apache Directory Studio depuis ce site: http://directory.apache.org/studio/downloads.html
Mais je comprends rien, je ne sais pas comment faire pour l'installer.
J'ai chercher sur Google, j'ai essayé d'installer Eclipse et Java mais je n'y arrive pas...
En effet, je suis nouvelle sur Debian, alors je ne comprends pas grand chose...

Comment faut-il procéder? Faut-il installer Java et Eclipse ? Si oui, comment? Et quelle version?

Mon problème est que je ne sais pas installer les pré-requis pour installer Apache Directory...

Si vous pouvez m'aidez s'il vous plaît! Merci d'avance^^


2 réponses

Messages postés
29583
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
21 février 2021
7 033
J'ai téléchargé Apache Directory Studio depuis ce site: http://directory.apache.org/studio/downloads.html
Mais je comprends rien, je ne sais pas comment faire pour l'installer.


Non non sous debian (et sous linux en général) tu dois installer autant que possible tes logiciel via le gestionnaire de paquets. Je t'invite à lire ceci pour apprendre à l'utiliser :
http://www.mistra.fr/tutoriel-linux-apt.html

Si ce n'est pas clair, n'hésite pas à demander des précisions.

Pour apache tu peux suivre ce tutoriel :
http://www.mistra.fr/tutoriel-linux-serveur-web-apache2.html

Une fois apache installé, je suppose qu'il faut récupérer le paquet d'apache directory ici :
http://directory.apache.org/apacheds/download/download-linux-deb.html

... et l'installer avec "dpkg -i ..." (voir lien sur apt).

Comment faut-il procéder? Faut-il installer Java et Eclipse ? Si oui, comment? Et quelle version?

En fait java est une dépendance d'eclipse, donc installer eclipse via apt devrait tout installer comme il faut directement. La problématique de la "version" ne se pose pas si tu passes par ton gestionnaire de paquets, ça installera la plus récente pour ta distribution.

Il faut juste s'assurer que tu as bien installé un JDK (pour développer en java) et un JRE (pour lancer un programme en java) ce qui doit être fait en cascade par le gestionnaire de paquets quand tu installes eclipse.

Bonne chance
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 65492 internautes nous ont dit merci ce mois-ci

Messages postés
121
Date d'inscription
dimanche 1 avril 2012
Statut
Membre
Dernière intervention
30 mai 2013
129
Merci!! TT__TT
Arigatou!! TT~TT

Je te tiens au courant^^
Messages postés
121
Date d'inscription
dimanche 1 avril 2012
Statut
Membre
Dernière intervention
30 mai 2013
129
Wah ça marche! Merci bokou^^
=)
Messages postés
29583
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
21 février 2021
7 033
De rien bonne continuation :-)